"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const debug_1 = __importDefault(require("./utils/debug"));
const ejs_1 = __importDefault(require("ejs"));
const fs_1 = __importDefault(require("fs"));
const parse_travis_ci_config_1 = __importDefault(require("./utils/parse-travis-ci-config"));
const path_1 = __importDefault(require("path"));
const process_1 = __importDefault(require("process"));
const gitHubActionsWorkflowFile = path_1.default.join(process_1.default.cwd(), '.github', 'workflows', 'ci.yml');
const templateFile = path_1.default.join(__dirname, '..', 'templates', '.github', 'workflows', 'ci.yml');
const data = (_a = parse_travis_ci_config_1.default()) !== null && _a !== void 0 ? _a : {
    browsers: ['chrome', 'firefox'],
    emberTryScenarios: {
        required: [
            'ember-lts-3.16',
            'ember-lts-3.20',
            'ember-release',
            'ember-beta',
            'ember-default-with-jquery',
            'ember-classic',
        ],
        allowedToFail: ['ember-canary', 'embroider-tests'],
    },
    nodeVersion: '10.x',
    packageManager: 'yarn',
};
const options = {
// debug: true,
};
ejs_1.default.renderFile(templateFile, data, options, function (err, str) {
    if (err) {
        throw err;
    }
    debug_1.default(`Writing GitHub Actions workflow to ${gitHubActionsWorkflowFile}`);
    fs_1.default.mkdirSync(path_1.default.dirname(gitHubActionsWorkflowFile), { recursive: true });
    fs_1.default.writeFileSync(gitHubActionsWorkflowFile, str);
});
